# Uses of Class
org.astrogrid.samp.gui.Transmission

Packages that use Transmission
Package
Description
org.astrogrid.samp.gui
Classes required only for graphical components based on SAMP classes.

## Uses of Transmission in org.astrogrid.samp.gui

Methods in org.astrogrid.samp.gui that return Transmission
Modifier and Type
Method
Description
`Transmission`
TransmissionPanel.`getTransmission()`
Returns the transmission object currently being displayed.
`Transmission`
TransmissionListIcon.`getTransmissionAt(Point point)`
Returns the transmission (if any) which is painted at a given point.
Methods in org.astrogrid.samp.gui with parameters of type Transmission
Modifier and Type
Method
Description
`void`
TransmissionPanel.`setTransmission(Transmission trans)`
Sets the transmission object being displayed.